This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 129852 - SIGPIPE in sendfile()
SIGPIPE in sendfile()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 09:18 EDT by Dragos Moinescu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dragos Moinescu 2004-08-13 09:18:30 EDT
Description of problem:

I receive a SIGPIPE when using sendfile() to send a file. It only
appears when the end of connection closes during sending.


Version-Release number of selected component (if applicable):
(gdb) bt
#0  0x0062b402 in ?? ()
#1  0x00b44e1e in sendfile () from /lib/tls/libc.so.6
#2  0x08051820 in XConnectionSendFile (c=0xef8b39b0, fname=0xef8afc10
"./www/b.dat")

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
(gdb) bt
#0  0x0062b402 in ?? ()
#1  0x00b44e1e in sendfile () from /lib/tls/libc.so.6
#2  0x08051820 in XConnectionSendFile (c=0xef8b39b0, fname=0xef8afc10
"./www/b.dat")


Expected results:
no SIGPIPE


Additional info:
Comment 1 David Lawrence 2004-09-29 16:34:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.